=== lib/Makefile ===
SHELL = /bin/sh

clean :
	@rm -f *.o

realclean :
	rm -f lib*

.SUFFIXES :
