=== debian/changelog ===
sprng (2.0a-17) unstable; urgency=medium

  * debian/rules: Updated				(Closes: #1124903)

  * debian/control: Updated Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Jan 2026 07:46:30 -0600

sprng (2.0a-16) unstable; urgency=medium

  * debian/patches/accumulated_patches: Ensure gmp is included via '<gmp.h'
  to pick system one. Thanks to Étienne Mollier. 	(Closes: #1079526)

  * debian/control: Updated Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Aug 2024 06:25:18 -0500

sprng (2.0a-15) unstable; urgency=medium

  * debian/patches/accumulated_patches: Remove accidentally hard-wired gcc-14
  							(Closes: #1077743)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Aug 2024 06:29:47 -0500

sprng (2.0a-14) unstable; urgency=medium

  * Added includes to satisfy gcc-14			(Closes: 1075536)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Jul 2024 08:17:09 -0500
 

sprng (2.0a-13) unstable; urgency=medium

  * Repairing broken unusable (binary) non-coordindated previous upload
  * Removing several wrongly committed build artifacts

  * debian/control: Updated Standards-Version: current version
  * debian/compat: Increased to 10

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Aug 2020 21:50:44 -0500

sprng (2.0a-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-10
    Closes: #957837

 -- Andreas Tille <tille@debian.org>  Thu, 13 Aug 2020 12:41:22 +0200

sprng (2.0a-12) unstable; urgency=medium

  * debian/*: Update a few files while moving package to salsa.debian.org

  * debian/rules: Allow cross tools use by invoking build via dh_auto_build
  (with thanks to Helmut Grohne) 			(Closes: #904142)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Jul 2018 07:53:05 -0500

sprng (2.0a-11) unstable; urgency=medium

  * Makefile: Minor pedantic issue addressed		(Closes: #865692)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jul 2017 06:30:15 -0500

sprng (2.0a-10) unstable; urgency=medium

  * SRC/insertmenu: Remove a bashism (with thanks to Reiner Herrmann, and
  this time do it directly rather than rely on patch system)
  							(Closes: #818762)
  * debian/control: Remove quilt from Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Mar 2016 18:09:50 -0500

sprng (2.0a-9) unstable; urgency=low

  * debian/control: Switch libsprng2 to Section: libs

  * SRC/insertmenu: Remove a bashism (with thanks to Reiner Herrmann)
  							(Closes: #818762)

  * debian/rules: Use dh_prep instead of dh_clean -p
  * debian/rules: Add build-arch, build-indep targets
  * debian/control: Add quilt to Build-Depends
  * debian/control: Updated Standards-Version: to 3.9.6
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 20 Mar 2016 10:15:39 -0500

sprng (2.0a-8) unstable; urgency=low

  * debian/rules, SRC/make.GENERIC: Applied patch kindly supplied by
    Konstantinos Margaritis to address a build regression on armhf systems
  							(Closes: #627254)
  
  * debian/control: Removed article from beginning of Description: 
  								[lintian]
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2011 19:10:54 -0500

sprng (2.0a-7) unstable; urgency=low

  * SRC/pmlcg/longlong.h: Applied patch kindly supplied by Aurelien Jarno
    to address builds on mips/mipsel with recent gcc versions (>= 4.4)
							(Closes: #623015)  
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Apr 2011 12:25:34 -0500

sprng (2.0a-6) unstable; urgency=low

  * debian/control: Updated Build-Depends: to libgmp-dev
  * debian/control: Updated Standards-Version: to 3.9.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Mar 2011 10:13:54 -0600

sprng (2.0a-5) unstable; urgency=low

  * debian/control: Changed Section: of libsprng2-doc to 'doc' to satisfy
    a Lintian warning and a wishlist bug report		(Closes: #515925)

  * debian/control: Updated Standards-Version: to 3.8.0

  * debian/copyright: Updated to newer format

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Feb 2009 20:22:14 -0600

sprng (2.0a-4) unstable; urgency=low

  * debian/control: Changed use ${binary:Version} and ${source:Version} to 
    allow for binNMUs. Thanks to Lior Kaplan for the patch   (Closes: #437501)
  * debian/control: Set Depends: of -doc toe (>= ${source:Version}) [lintian]
    
  * debian/control: Upgraded Standards-Version: to 3.7.2
  * debian/compat: Created, set version to 5
  * debian/control: Upgraded Build-Depends to debhelper (>= 5.0.0)
  * debian/rules: Changed 'make realclean' invocation [lintian]
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Aug 2007 18:10:28 -0500

sprng (2.0a-3) unstable; urgency=low

  * SRC/sprng/Makefile: Add $(GMPLIB) to libsprng build (Closes: #318050)
  * SRC/{make.GENERIC: Add ${GMPDEF} to CFLAGS and FFLAGS
  * debian/control: Added libgmp3-dev to Depends for libsprng2-dev 
  							(Closes: #318051)
  * debian/control: Increase Standards-Version: to 3.6.2.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Jul 2005 10:58:54 -0500

sprng (2.0a-2) unstable; urgency=low

  * SRC/pmlcg/longlong.h: more patching for multi-line string literals

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Jul 2004 13:27:14 -0500

sprng (2.0a-1) unstable; urgency=low

  * Initial Debian packaging

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  5 Jul 2004 21:26:37 -0500
